Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1057419

Summary: CapesLock during boot does not lit
Product: [Fedora] Fedora Reporter: vartan <vartank25>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 20CC: aquini, extras-orphan, gansalmon, harald, itamar, johannbg, jonathan, kernel-maint, lnykryn, madhu.chinakonda, msekleta, plautrba, rvokal, systemd-maint, vpavlin, zbyszek
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-18 14:16:43 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description vartan 2014-01-24 04:32:30 UTC
Description of problem:
CapsLock during boot ( I need to enter pass word to unlock the the encrypted disk ) does not lit if I touch it. Not knowing if the CapeLock is engaged or not will cause problem to pass on the correct password. 


Version-Release number of selected component (if applicable):
uname -a
Linux localhost.localdomain 3.12.8-300.fc20.i686 #1 SMP Thu Jan 16 01:28:49 UTC 2014 i686 i686 i386 GNU/Linux

How reproducible:
Turn on the computer which has disk volume encrypted.

Steps to Reproduce:
1. Hit the CapesLock
2. See if the CapesLock light comes on
3. In my case stays off eventhought is on; If I pass this stage every thing comes back to normal.

Actual results:
CapesLock light is off during the boot process


Expected results:
Should be user selectable, Unless this is an added security feature!!!?


Additional info:

Comment 1 Lennart Poettering 2014-01-28 00:41:59 UTC
CapsLock during early boot process is managed exclusively by the kernel input driver, userspace is not involved. Reassigning.

Comment 2 Justin M. Forbes 2014-02-24 14:01:08 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 3 vartan 2014-03-14 15:57:15 UTC
I would like to add that the <Shift> key is working that's how I enter the password and go to next stage which everything becomes normal again. This issue still persists. The operating system is:

uname -a
Linux localhost.localdomain 3.13.6-200.fc20.i686 #1 SMP Fri Mar 7 17:28:21 UTC 2014 i686 i686 i386 GNU/Linux.

Comment 4 Justin M. Forbes 2014-05-21 19:40:13 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.14.4-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 5 Josh Boyer 2014-06-18 14:16:43 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.